Elantech touchpad cannot be toggled

Bug #953296 reported by James Ferguson on 2012-03-12
6
This bug affects 1 person
Affects Status Importance Assigned to Milestone
acpi-support (Ubuntu)
Medium
Unassigned

Bug Description

There is no support for disabling an Elantech touchpad.

There is the script /etc/acpi/asus-touchpad.sh, which should probably be called synaptics-touchpad.sh, because it only toggles synaptics touchpads. There should be an equivalent script for Elantech touchpads.

I will attach some relevant info - output from xinput list, xinput list-props, and a candidate script modeled after asus-touchpad.sh.

ProblemType: Bug
DistroRelease: Ubuntu 11.10
Package: acpi-support 0.138
ProcVersionSignature: Ubuntu 3.0.0-16.29-generic-pae 3.0.20
Uname: Linux 3.0.0-16-generic-pae i686
ApportVersion: 1.23-0ubuntu4
Architecture: i386
Date: Mon Mar 12 15:02:47 2012
DistributionChannelDescriptor:
 # This is a distribution channel descriptor
 # For more information see http://wiki.ubuntu.com/DistributionChannelDescriptor
 canonical-oem-sutton-oneiric-20120308-1
InstallationMedia: Ubuntu 11.10 "Oneiric" - Build i386 LIVE/INSTALL Binary 20120308-14:26
ProcEnviron:
 PATH=(custom, no user)
 LANG=en_US.UTF-8
 SHELL=/bin/bash
SourcePackage: acpi-support
UpgradeStatus: No upgrade log present (probably fresh install)

James Ferguson (jamesf) wrote :
James Ferguson (jamesf) wrote :
James Ferguson (jamesf) wrote :
James Ferguson (jamesf) wrote :
Steve Langasek (vorlon) wrote :

Hi James,

Instead of creating a separate script for this, could you please add support for the Elantech touchpads to the asus-touchpad.sh script? That way we future-proof against doing stupid shell tricks in the event that some future ASUS or Lenovo model uses these touchpads.

Also, do you have a new /etc/acpi/events/ rule to go with this?

Changed in acpi-support (Ubuntu):
importance: Undecided → Medium
status: New → Triaged
James Ferguson (jamesf) wrote :

Attached is an alternate script for asus-touchpad.sh which handles both Synaptics or Elantech.

James Ferguson (jamesf) wrote :

The following is also an events file contents needed for some more recent Lenovo Thinkpads (not just those with Elantech touchpads):

event=ibm/hotkey HKEY 00000080 000060a
action=/etc/acpi/asus-touchpad.sh

Steve Langasek (vorlon) on 2012-03-13
Changed in acpi-support (Ubuntu):
status: Triaged → Fix Committed
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package acpi-support - 0.140

---------------
acpi-support (0.140) precise; urgency=low

  [ James Ferguson ]
  * asus-touchpad.sh: add support for Elantech touchpads. LP: #953296.
  * events/lenovo-touchpad2: new event handler for an acpi event on newer
    ThinkPads which always maps to the touchpad.

  [ Troy Sankey ]
  * asus-keyboard-backlight.sh, events/asus-keyboard-backlight-{up,down}:
    add support for hotkey that adjusts the keyboard backlight on the ASUS
    G73jh and others. LP: #931614.
 -- Steve Langasek <email address hidden> Tue, 13 Mar 2012 09:24:01 -0700

Changed in acpi-support (Ubuntu):
status: Fix Committed → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers